Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface ChannelHandler<T extends org.xmpp.packet.Packet>

All Known Subinterfaces:
  ClientSession, ComponentSession, ConnectionMultiplexerSession, IncomingServerSession, MUCUser, OutgoingServerSession, RoutableChannelHandler, Session

All Known Implementing Classes:
  AdHocCommandHandler, FileTransferProxy, HttpSession, InternalComponentManager, IQAuthHandler, IQBindHandler, IQDiscoInfoHandler, IQDiscoItemsHandler, IQHandler, IQLastActivityHandler, IQOfflineMessagesHandler, IQPEPHandler, IQPEPOwnerHandler, IQPingHandler, IQPrivacyHandler, IQPrivateHandler, IQRegisterHandler, IQRosterHandler, IQSessionEstablishmentHandler, IQSharedGroupHandler, IQTimeHandler, IQvCardHandler, IQVersionHandler, LocalClientSession, LocalComponentSession, LocalConnectionMultiplexerSession, LocalIncomingServerSession, LocalMUCUser, LocalOutgoingServerSession, LocalSession, MediaProxyService, OutgoingSessionPromise, PresenceSubscribeHandler, PresenceUpdateHandler, PubSubModule, RemoteMUCUser, SocketPacketWriteHandler, TransportHandler

    public interface ChannelHandler<T extends org.xmpp.packet.Packet>

Interface to handle packets delivered by Channels.

Author:
  Matt Tucker

Method Summary
`void` | `process(T packet)` Process an XMPP packet.

Method Detail

### process

    void process(T packet)
                 throws UnauthorizedException,
                        PacketException

  Process an XMPP packet.

  Parameters:
    `packet` - a packet to process.
  Throws:
    `UnauthorizedException` - if not allowed to process the packet.
    `PacketException` - thrown if the packet is malformed (results in the sender's session being shutdown).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.